# HarmonicBondForce Class Reference

This class implements an interaction between pairs of particles that varies harmonically with the distance between them. More...

Inheritance diagram for HarmonicBondForce:

List of all members.

## Public Member Functions

def | getNumBonds
| getNumBonds(self) -> int
def | addBond
| addBond(self, int particle1, int particle2, double length, double k) -> int
def | getBondParameters
| getBondParameters(self, int index)
def | setBondParameters
| setBondParameters(self, int index, int particle1, int particle2, double length, double k)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> HarmonicBondForce __init__(self, HarmonicBondForce other) -> HarmonicBondForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements an interaction between pairs of particles that varies harmonically with the distance between them.

To use it, create a HarmonicBondForce object then call addBond() once for each bond. After a bond has been added, you can modify its force field parameters by calling setBondParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> HarmonicBondForce __init__(self, HarmonicBondForce other) -> HarmonicBondForce

Create a HarmonicBondForce.

def addBond | ( |  | self,
|  |  | args |
| ) |  |  |

addBond(self, int particle1, int particle2, double length, double k) -> int

Add a bond term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | k | the harmonic force constant for the bond, measured in kJ/mol/nm^2

def getBondParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getBondParameters(self, int index)

Get the force field parameters for a bond term.

Parameters:

  | index | the index of the bond for which to get parameters
  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | k | the harmonic force constant for the bond, measured in kJ/mol/nm^2

def getNumBonds | ( |  | self | ) |

getNumBonds(self) -> int

Get the number of harmonic bond stretch terms in the potential function

def setBondParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setBondParameters(self, int index, int particle1, int particle2, double length, double k)

Set the force field parameters for a bond term.

Parameters:

  | index | the index of the bond for which to set parameters
  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | k | the harmonic force constant for the bond, measured in kJ/mol/nm^2

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-bond parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setBondParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-bond parameters. The set of particles involved in a bond cannot be changed, nor can new bonds be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py